summaryrefslogtreecommitdiffhomepage
path: root/subr
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz (arab, vxp) <lucio@lucioillanes.de>2017-06-06 13:22:57 +0000
committerLucio Andrés Illanes Albornoz (arab, vxp) <lucio@lucioillanes.de>2017-06-06 18:10:32 +0000
commit7b01b590b0a0d007eae1d07c2cd8c60ffe1685b9 (patch)
treeb432cc7729e38581e10865731b8ad9b9d63e1790 /subr
parent698a323c9dae93d0a34a8294977bd20a5c6a7b1d (diff)
downloadmidipix_build-7b01b590b0a0d007eae1d07c2cd8c60ffe1685b9.tar.bz2
midipix_build-7b01b590b0a0d007eae1d07c2cd8c60ffe1685b9.tar.xz
build.sh, etc/build.usage: adds --debug-minipix: override default behaviour of strip(1)ping minipix/bin/*.
subr/post_strip.subr: strip(1) minipix/bin/* unless --debug-minipix was specified (via midipix.) vars/build.vars: adds `minipix' target individually and as part of `world' encompassing all minipix-flavoured packages.
Diffstat (limited to 'subr')
-rw-r--r--subr/post_strip.subr22
1 files changed, 16 insertions, 6 deletions
diff --git a/subr/post_strip.subr b/subr/post_strip.subr
index fd045561..b1d5d01b 100644
--- a/subr/post_strip.subr
+++ b/subr/post_strip.subr
@@ -2,15 +2,25 @@
# set -o errexit -o noglob are assumed.
#
+postp_strip_files() {
+ local _pname="${1}";
+ for __ in $(find "${_pname}" -perm -0100 \( -type f -or -type l \)); do
+ if objdump -sj .debug_info "${__}" >/dev/null 2>&1; then
+ log_msg vnfo "${TARGET}-strip ${__}";
+ set +o errexit; ${TARGET}-strip ${__}; set -o errexit;
+ fi;
+ done;
+};
+
post_strip() {
local __;
if [ "${BUILD}" = release ]; then
- for __ in $(find ${PREFIX_NATIVE}/bin -perm -0100 \( -type f -or -type l \)); do
- if objdump -sj .debug_info >/dev/null 2>&1; then
- log_msg vnfo "${PKG_TARGET}-strip ${__}";
- set +o errexit; ${PKG_TARGET}-strip ${__}; set -o errexit;
- fi;
- done;
+ log_msg info "Stripping ${PREFIX_NATIVE}/bin...";
+ postp_strip_files ${PREFIX_NATIVE}/bin;
+ fi;
+ if [ ${ARG_DEBUG_MINIPIX:-0} -eq 0 ]; then
+ log_msg info "Stripping ${PREFIX_MINIPIX}/bin...";
+ postp_strip_files ${PREFIX_MINIPIX}/bin;
fi;
};